Subject: Re: bug#23431: 25.0.93; EWW hangs

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 03 May 2016 19:04:21 +0200

Eli Zaretskii <[email-masked]> writes:

> So you are saying that a single call to image-animate-timeout takes
> much longer than the value of 'delay'?

Well, `image-animate-timeout' doesn't really do much, but if the next
timeout arrives much later than `delay' specified, then we can surmise
that displaying the next image in the sequence took a lot of time.

Most parts of the image formatting doesn't happen until redisplay
happens -- `image-animate-timeout' just increases the image index, and
then redisplay does all the hard lifting.

While redisplay is doing all that, Emacs isn't allowing any events to
fire, I think, so we should be able to see that Emacs is busy...

> (Which is what typically, btw?)

I think for most GIFs it's typically 0.1s, but it can be larger.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no